summaryrefslogtreecommitdiff
path: root/tests/guix-package.sh
diff options
context:
space:
mode:
authorLudovic Courtès <ludo@gnu.org>2014-10-10 14:08:47 +0200
committerLudovic Courtès <ludo@gnu.org>2014-10-10 14:08:59 +0200
commite25234e34b0d2709e8ff06609cedce2b24b50ee8 (patch)
tree000c66cf8d98ceea5e98f6807ce577fec4b43af5 /tests/guix-package.sh
parent7313a52e7a465a2c48894658c9fdaa67d9609c86 (diff)
downloadgnu-guix-e25234e34b0d2709e8ff06609cedce2b24b50ee8.tar
gnu-guix-e25234e34b0d2709e8ff06609cedce2b24b50ee8.tar.gz
build: Make sure tests/guix-package.sh doesn't leave anything behind it.
Fixes a regression introduced in commit 300868ba. * tests/guix-package.sh: Move 'module_dir' definition to the top, and "rm -rf" it from the top-most 'trap'. Remove second use of 'trap'.
Diffstat (limited to 'tests/guix-package.sh')
-rw-r--r--tests/guix-package.sh5
1 files changed, 2 insertions, 3 deletions
diff --git a/tests/guix-package.sh b/tests/guix-package.sh
index 9b0e75e6da..e35871f2a2 100644
--- a/tests/guix-package.sh
+++ b/tests/guix-package.sh
@@ -28,10 +28,11 @@ readlink_base ()
basename `readlink "$1"`
}
+module_dir="t-guix-package-$$"
profile="t-profile-$$"
rm -f "$profile"
-trap 'rm "$profile" "$profile-"[0-9]* ; rm -rf t-home-'"$$" EXIT
+trap 'rm "$profile" "$profile-"[0-9]* ; rm -rf "$module_dir" t-home-'"$$" EXIT
# Use `-e' with a non-package expression.
if guix package --bootstrap -e +;
@@ -257,9 +258,7 @@ guix package -I | head -1 2> "$HOME/err2"
test "`cat "$HOME/err1" "$HOME/err2"`" = ""
# Make sure '-L' extends the package module search path.
-module_dir="t-guix-package-$$"
mkdir "$module_dir"
-trap "rm -rf $module_dir" EXIT
cat > "$module_dir/foo.scm"<<EOF
(define-module (foo)